Subject: RE: [rohc] Re: multiplexing SigComp and non-SigComp messages on t he same TCP connection

From: "Surtees, Abigail" <[email-masked]>
Date: Tue, 16 Nov 2004 15:23:54 -0000

Hi All,

Just a short mail to share my understanding.

As far as I know, there was discussion about the multiplexing issue in San
Diego, but hasn't been much discussion on the RoHC mailing list since.

I have, however, talked to some 3GPP people about the issues of 3GPP
security associations, registration of multiple 'Public User Identities' and
multiplexing SigComp and SIP.

So far no-one that I've spoken to has been able to give me an example (even
taking into account the fixed ports) of a situation where there would be a
need to multiplex SIP and SigComp on the same TCP connection.  (The
'uncompressed SigComp header' can be used to solve all the cases I've been
given.)  Is there such an example?  I'd be interested to know if there is
one.

Best regards,

Abbie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, November 15, 2004 4:00 PM
> To: Conroy, Lawrence (SMTP)
> Cc: West, Mark; [email-masked]; [email-masked]; [email-masked]
> Subject: RE: [rohc] Re: multiplexing SigComp and non-SigComp 
> messages on the same TCP connection
> 
> 
> That's good. Please share your thoughts. I have been placed into
> a waiting mode on sigcomp-sip since IETF-60. That's what I meant
> a pause, at least from my perspective.
> 
> Br, Zhigang
> 
> 
> > -----Original Message-----
> > From: ext Conroy, Lawrence (SMTP) [mailto:[email-masked]]
> > Sent: 12 November, 2004 06:59 PM
> > To: Liu Zhigang.C (Nokia-NRC/Dallas)
> > Cc: Sugar Robert (Nokia-NET/Budapest); [email-masked]; West, Mark;
> > [email-masked]
> > Subject: Re: [rohc] Re: multiplexing SigComp and non-SigComp 
> > messages on
> > the same TCP connection
> > 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 16 Nov 2004 16:30:45 +0100

Abbie,

3GPP submission S2-043577 says:

> For TCP, none of the existing standards mandates whether or not 
> endpoints must be able to multiplex SIP and SigComp messages on the 
> same TCP connection however, the IETF currently see no need to 
> multiplex and would like to mandate that it must not be done. We note 
> that with the IMS security architecture there are some constraints 
> with regards to the usage of ports on the P-CSCF and the UE. During 
> the establishment of the IPSec security association the UE and the 
> P-CSCF negotiate 2 ports on each side. These ports are used as the 
> selector for the corresponding security association and are fixed for 
> the duration of the security association. Consequently, if there is a 
> need to send both SIP and SigComp messages over TCP, they would have 
> to be on the same connection.
>
> It seems, however, that the issue is not a real issue for IMS and PoC, 
> as it is mandated that terminals and networks will support SigComp 
> (though its use is not mandatory). Consequently a terminal can decide 
> on the first message whether or not it is going to use SigComp and not 
> change. In this case, if there is a need to send an uncompressed 
> message (e.g. due to loss of sync between compressor and decompressor, 
> or to reduce processing load) when SigComp is in use, the 
> 'uncompressed SigComp header' can be used. This is a set of 13 well 
> known bytes that are prepended to the SIP message to make it a SigComp 
> message and are removed as a block at the decompressor.

This fits pretty well with what was said in the San Diego WG meeting 
and hallway discussions, and this is what was intended by my slide in 
Washington.

(Sorry if I'm incoherent -- I'm wrestling with my usual post-IETF 
aircon-induced fever.)

Gruesse, Carsten